%define prefix %_x11dir

Name: wmakerconf
Version: 2.8.1
Release: alt4
Serial: 1
Summary: GTK-based configuration tool for Window Maker
Group: Graphical desktop/Window Maker
License: GPL

Packager: Alexey Voinov <voins@altlinux.ru>

Source: http://largo.windowmaker.org/files/%name-%version.tar.bz2
Patch1: wmakerconf-2.8.1-nolynx.patch
Patch2: wmakerconf-2.8.1-alt-configure.patch
Patch3:	wmakerconf-2.8.1-alt-wrlib.patch

Url: http://largo.windowmaker.org/
BuildPreReq: WindowMaker >= 0.62.1, libPropList >= 0.10.1, gtk+ >= 1.2

# Automatically added by buildreq on Thu Oct 24 2002
BuildRequires: WindowMaker-devel XFree86-devel XFree86-libs glib-devel gnome-libs-devel gtk+-devel libPropList-devel libhermes-devel libjpeg-devel libpng-devel libtiff-devel libungif-devel lynx wmsetbg xpm-devel zlib-devel

%description
Wmakerconf is a GTK+ based graphical user interface configuration tool for the
Window Maker window manager. Wmakerconf supports all Window Maker attributes.

Wmakerconf provides a font selection browser, a pixmap preview browser, a color
selection dialog, a shortcut dialog, and a file selection dialog. Wmakerconf
also provides tooltips in multiple languages.

If you use the Window Maker window manager, you should probably install this
package, because it will make configuration a little easier.

%prep
%setup -q
%patch1 -p1
%patch2 -p1
%patch3 -p1
rm -rf po/*.gmo

%set_automake_version 1.4
%set_autoconf_version 2.13

aclocal
autoconf
libtoolize --force
%build
# buildreq hangs on some checks.
%{?__buildreqs:export gt_cv_int_divbyzero_sigfpe=yes}
# (Dadou) - Don't use macros for ./configure
CFLAGS="$RPM_OPT_FLAGS" ./configure --prefix=%prefix \
	--with-wmakerprefix=%prefix \
	--with-wmakerdataprefix=%prefix/share/WindowMaker
%make_build

%install
%__subst "s|GNOMEDIR =.*|GNOMEDIR = $RPM_BUILD_ROOT/usr/share/gnome/apps/Settings|" Makefile
# (Dadou) - Don't use macros here
make install prefix=$RPM_BUILD_ROOT%prefix

rm -f $RPM_BUILD_ROOT%_x11datadir/%name/{ABOUT-NLS,AUTHORS,COPYING,ChangeLog,MANUAL,NEWS,NLS-TEAM1,NLS-TEAM2,README,wm-oldmenu2new.sh}

%find_lang %name

%files -f %name.lang
%doc AUTHORS ChangeLog NEWS README TODO MANUAL
%_x11bindir/*
%_x11datadir/%name

%changelog
* Wed Nov 20 2002 Alexey Voinov <voins@altlinux.ru> 1:2.8.1-alt4
- wrlib patch added (fixes calls to obsolete APIs in libwraster.so)

* Thu Oct 24 2002 Stanislav Ievlev <inger@altlinux.ru> 1:2.8.1-alt3
- made buildable
- rebuild with gcc3
- cleanup spec

* Wed Jun 05 2002 Konstantin Volckov <goldhead@altlinux.ru> 2.8.1-alt2
- Removed requires to binutils
- Changed requires from lynx to wget

* Thu Oct 11 2001 AEN <aen@logic.ru> 2.8.1-alt1
- new version

* Tue Jan 16 2001 AEN <aen@logic.ru>
- RE adaptations

* Fri Nov 10 2000 David BAUDNS <baudens@mandrakesoft.com> 2.7-2mdk
- Build for glibc-2.2 & gcc-2.96

* Sun Oct 01 2000 David BAUDENS <baudens@mandrakesoft.com> 2.7-1mdk
- 2.7

* Sun Oct 01 2000 David BAUDENS <baudens@mandrakesoft.com> 2.6.2-4mdk
- Clean after build
- Use %%make and %%find_lang macros

* Mon Aug 07 2000 Frederic Lepied <flepied@mandrakesoft.com> 2.6.2-3mdk
- automatically added BuildRequires

* Mon Jul 09 2000 David BAUDENS <baudens@mandrakesoft.com> 2.6.2-2mdk
- Build with correct options

* Sun Jul 02 2000 David BAUDENS <baudens@mandrakesoft.com> 2.6.2-1mdk
- 2.6.2
- Cleanup spec
- Fix build as user
- Little fix in Description

* Tue Apr 04 2000 David BAUDENS <baudens@mandrakesoft.com> 2.6.1-2mdk
- Fix Group

* Tue Apr 04 2000 David BAUDENS <baudens@mandrakesoft.com> 2.6.1-1mdk
- 2.6.1

* Tue Mar 14 2000 David BAUDNS <baudens@mandrakesoft.com> - 2.5-1mdk
- 2.5
- Use %%{_tmppath} for BuildRoot
- Use new Groups
- Fix some typos in fr.po

* Mon Dec 27 1999 - David BAUDENS <baudens@mandraksoft.com>
- Add patch-2.4
- Add icon from Ullrich HAFNER <hafner@bigfoot.de>
- Update URL
- Update summary
- Update Requires
- Fix %%{prefix}

* Mon Dec 06 1999 - David BAUDENS <baudens@mandrakesoft.com>
- 2.4

* Fri Nov 27 1999 - David BAUDENS <baudens@mandrakesoft.com>
- Build in new environment

* Thu Oct  7 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- data file for 0.60.0.
- 2.3.

* Sat Jun  3 1999 Bernhard Rosenkrnzer <bero@mandrakesoft.com>
- 2.1
- rename .spec file to avoid confusion with wmconfig

* Thu May 06 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- 1.99.4.

* Wed May 05 1999 Bernhard Rosenkraenzer <bero@mandrakesoft.com>
- Mandrake adaptations

* Thu Apr 15 1999 Cristian Gafton <gafton@redhat.com>
- patch to configure for cpp
- patches to build without things like amaker already installed
- version 1.99.1

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com>
- auto rebuild in the new build environment (release 2)

* Fri Mar 12 1999 Cristian Gafton <gafton@redhat.com>
- version 1.7

* Thu Dec 17 1998 Cristian Gafton <gafton@redhat.com>
- version 1.4
- build for glibc 2.1

* Sat Oct 10 1998 Cristian Gafton <gafton@redhat.com>
- strip binaries
- updated data files for windowmaker 0.20 and above

* Fri Sep 18 1998 Cristian Gafton <gafton@redhat.com>
- packaged for 5.2 to be used with WindowMaker
